%global rel_build 1

%global branch 1.26

%{!?rel_build:%global commit a6a0a5879533b0915901ab69703eaf327bbca846 }
%{!?rel_build:%global commit_date 20141215}
%{!?rel_build:%global shortcommit %(c=%{commit};echo ${c:0:7})}
%{!?rel_build:%global git_ver git%{commit_date}-%{shortcommit}}
%{!?rel_build:%global git_rel .git%{commit_date}.%{shortcommit}}
%{!?rel_build:%global git_tar %{name}-%{version}-%{git_ver}.tar.xz}

Summary:       Shared code for mate-panel, mate-session, caja, etc
Name:          mate-desktop
License:       GPLv2+ and LGPLv2+ and MIT
Version:       %{branch}.2
%if 0%{?rel_build}
Release:    1%{?dist}.2
%else
Release:    1%{?dist}.2
%endif
URL:           http://mate-desktop.org

%{?rel_build:Source0:     http://pub.mate-desktop.org/releases/%{branch}/%{name}-%{version}.tar.xz}
%{!?rel_build:Source0:    http://git.mate-desktop.org/%{name}/snapshot/%{name}-%{commit}.tar.xz#/%{git_tar}}

Source1:        mate-ocs-23.gschema.override
Source2:        mate-tencentos.gschema.override
Source3:        mate-mimeapps.list
Source4:        80-mate-compiz.preset

Patch1:        mate-desktop_0001-Add-setting-for-adjustment-of-audio-volume-above-100.patch

BuildRequires: dconf-devel
BuildRequires: desktop-file-utils
BuildRequires: gobject-introspection-devel
BuildRequires: make
BuildRequires: mate-common
BuildRequires: startup-notification-devel
BuildRequires: gtk3-devel
BuildRequires: iso-codes-devel
BuildRequires: gobject-introspection-devel
BuildRequires: cairo-gobject-devel

Requires: %{name}-libs = %{version}-%{release}
Requires: %{name}-configs = %{version}-%{release}
Requires: redhat-menus
Requires: xdg-user-dirs-gtk
Requires: mate-control-center-filesystem
Requires: mate-panel
Requires: mate-notification-daemon
Requires: mate-user-guide

Suggests:  imsettings-mate

%description
The mate-desktop package contains an internal library
(libmatedesktop) used to implement some portions of the MATE
desktop, and also some data files and other shared components of the
MATE user environment.

%package libs
Summary:   Shared libraries for libmate-desktop
License:   LGPLv2+

%description libs
Shared libraries for libmate-desktop

%package configs
Summary:    Configurations for Mate desktop
License:    LGPLv2+
BuildArch:  noarch
Requires:   %{name} = %{version}-%{release}

%description configs
Configurations for Mate desktop

%package devel
Summary:    Libraries and headers for libmate-desktop
License:    LGPLv2+
Requires:   %{name}-libs = %{version}-%{release}

%description devel
Libraries and header files for the MATE-internal private library
libmatedesktop.


%prep
%if 0%{?rel_build}
%autosetup -p1
%else
%autosetup -n %{name}-%{commit} -p1
%endif

%if 0%{?rel_build}
%else
NOCONFIGURE=1 ./autogen.sh
%endif

%build
%configure                                                 \
     --enable-gtk-doc                                      \
     --disable-schemas-compile                             \
     --with-x                                              \
     --disable-static                                      \
     --with-pnp-ids-path="%{_datadir}/hwdata/pnp.ids"      \
     --enable-gtk-doc-html                                 \
     --enable-introspection=yes

make %{?_smp_mflags} V=1


%install
%{make_install}
find %{buildroot} -name '*.la' -exec rm -f {} ';'
find %{buildroot} -name '*.a' -exec rm -f {} ';'


desktop-file-install                                         \
        --delete-original                                    \
        --dir=%{buildroot}%{_datadir}/applications           \
%{buildroot}%{_datadir}/applications/mate-about.desktop

desktop-file-install                                         \
        --delete-original                                    \
        --dir=%{buildroot}%{_datadir}/applications           \
%{buildroot}%{_datadir}/applications/mate-color-select.desktop

%if 0%{?ocs} >= 23
install -D -m 0644 %SOURCE1 %{buildroot}%{_datadir}/glib-2.0/schemas/10_mate-ocs.gschema.override
%endif

%if 0%{?tencentos}
install -D -m 0644 %SOURCE2 %{buildroot}%{_datadir}/glib-2.0/schemas/10_mate-tencentos.gschema.override
%endif

mkdir -p %{buildroot}%{_datadir}/applications
install -m 644 %SOURCE3 %{buildroot}/%{_datadir}/applications/mate-mimeapps.list

%if 0%{?ocs}
mkdir -p %{buildroot}%{_prefix}/lib/systemd/system-preset/
install -m 644 %SOURCE4 %{buildroot}/%{_prefix}/lib/systemd/system-preset/80-mate-compiz.preset
%endif

%find_lang %{name} --with-gnome --all-name


%files
%doc AUTHORS COPYING COPYING.LIB NEWS README
%{_bindir}/mate-about
%{_bindir}/mate-color-select
%{_datadir}/applications/mate-about.desktop
%{_datadir}/applications/mate-color-select.desktop
%{_datadir}/mate-about
%{_datadir}/icons/hicolor/*/apps/*.png
%{_datadir}/icons/hicolor/scalable/apps/mate-desktop-symbolic.svg
%{_datadir}/icons/hicolor/scalable/apps/mate-desktop.svg
%{_mandir}/man1/*

%files libs -f %{name}.lang
%{_libdir}/libmate-desktop-2.so.*
%{_datadir}/glib-2.0/schemas/org.mate.*.gschema.xml
%{_libdir}/girepository-1.0/MateDesktop-2.0.typelib

%files configs
%if 0%{?ocs}
%{_prefix}/lib/systemd/system-preset/80-mate-compiz.preset
%{_datadir}/glib-2.0/schemas/10_mate-ocs.gschema.override
%endif
%{_datadir}/applications/mate-mimeapps.list
%{_datadir}/xdg-desktop-portal/mate-portals.conf
%if 0%{?tencentos}
%{_datadir}/glib-2.0/schemas/10_mate-tencentos.gschema.override
%endif

%files devel
%{_libdir}/libmate-desktop-2.so
%{_libdir}/pkgconfig/mate-desktop-2.0.pc
%{_includedir}/mate-desktop-2.0
%doc %{_datadir}/gtk-doc/html/mate-desktop
%{_datadir}/gir-1.0/MateDesktop-2.0.gir


%changelog
* Tue Apr 23 2024 Jiaxin Yang <jiaxinyyang@tencentos.com> - 1.26.2-1.2
- debrand for tencentos

* Fri Apr 12 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.26.2-1
- initial build
